summaryrefslogtreecommitdiffhomepage
path: root/data/compare.sh
diff options
context:
space:
mode:
Diffstat (limited to 'data/compare.sh')
-rwxr-xr-xdata/compare.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/data/compare.sh b/data/compare.sh
new file mode 100755
index 0000000..4c3958c
--- /dev/null
+++ b/data/compare.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+# Run to compare all files from one pack to equivalent files from the other pack. For example:
+#
+# $ ./compare.sh content
+#
+# Compares all files in 'content/' pack to equivalent files in 'shatter/' (default second argument).
+
+test -z "$1" && { echo "missing directory path argument" >&2; exit 1; }
+test -d "$1" || { echo "not a directory: $1" >&2; exit 1; }
+left=$1
+right=${2:-shatter}
+for file in $(find $left/* -type f); do
+ file=${file#*/}
+ echo -e "\e[1mdiff $left/$file $right/$file\e[0m"
+ echo -e "\e[1m<<< $left/$file\e[0m"
+ if test -f "$right/$file"; then
+ echo -e "\e[1m>>> $right/$file\e[0m"
+ if diff --color=always $left/$file $right/$file; then
+ echo Files are the same
+ fi
+ else
+ echo -e "\e[1m>>> /dev/null\e[0m"
+ fi
+ echo
+done \ No newline at end of file